﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Diagnostics;
using System.Data.OleDb;
using System.Text;

namespace aspnetforumsistemi
{
    public partial class forumanasayfa : System.Web.UI.Page
    {
        protected OleDbConnection baglanti;
        protected void Page_Load(object sender, EventArgs e)
        {
            string veritabani = null;
            veritabani = "Provider=Microsoft.ACE.OLEDB.12.0; DATA Source=" + Server.MapPath("App_Data/forum.accdb");
            baglanti = new OleDbConnection(veritabani);
            baglanti.Open();

            if (!Page.IsPostBack)
            {
                forumgoster();
            }
        }
        protected void forumgoster()
        {
            OleDbDataAdapter dtAdapter = new OleDbDataAdapter();
            OleDbCommand komut = new OleDbCommand();
            DataSet ds = new DataSet();

            StringBuilder sorgu = new StringBuilder();
            sorgu.Append(" SELECT * FROM sorular ");
            sorgu.Append(" ORDER BY soruid DESC ");

            var verigetir = komut;
            verigetir.Connection = baglanti;
            verigetir.CommandText = sorgu.ToString();
            verigetir.CommandType = CommandType.Text;
            dtAdapter.SelectCommand = komut;

            dtAdapter.Fill(ds);

            grdsorular.AllowPaging = true;
            grdsorular.PageSize = 5;
            grdsorular.DataSource = ds.Tables[0];
            grdsorular.DataBind();

        }
        protected void grdsorular_PageIndexChanging(object sender, GridViewPageEventArgs e)
        {
            grdsorular.PageIndex = e.NewPageIndex;
            forumgoster();
        }

        protected void grdsorular_RowDataBound(object sender, GridViewRowEventArgs e)
        {
            if (e.Row.RowType == DataControlRowType.DataRow)
            {
                //*** Soru Numarası ***'
                Label lblsoruid = (Label)e.Row.FindControl("lblsoruid");
                if ((lblsoruid != null))
                {
                    lblsoruid.Text = DataBinder.Eval(e.Row.DataItem, "soruid").ToString();
                }

                //*** Tarih Bilgisi ***'
                Label lbltarih = (Label)e.Row.FindControl("lbltarih");
                if ((lbltarih != null))
                {
                    lbltarih.Text = Convert.ToDateTime(DataBinder.Eval(e.Row.DataItem, "sorutarih")).ToString("dd/MM/yyyy HH:mm");
                }

                //*** soru ***'
                HyperLink hplsoru = (HyperLink)e.Row.FindControl("hplsoru");
                if ((hplsoru != null))
                {
                    hplsoru.Text = (string)DataBinder.Eval(e.Row.DataItem, "soru");
                    hplsoru.NavigateUrl = "sorugoster.aspx?soruid=" + DataBinder.Eval(e.Row.DataItem, "soruid").ToString();
                }

                //*** İsim  www.aspnetornekleri.com***'
                Label lblisim = (Label)e.Row.FindControl("lblisim");
                if ((lblisim != null))
                {
                    lblisim.Text = (string)DataBinder.Eval(e.Row.DataItem, "isim");
                }

                //*** Görüntülenme Sayısı ***'
                Label lblgoruntulenme = (Label)e.Row.FindControl("lblgoruntulenme");
                if ((lblgoruntulenme != null))
                {
                    lblgoruntulenme.Text = DataBinder.Eval(e.Row.DataItem, "goruntulenme").ToString(); ;
                }

                //*** Cevap Sayısı www.aspnetornekleri.com ***'
                Label lblcevap = (Label)e.Row.FindControl("lblcevap");
                if ((lblcevap != null))
                {
                    lblcevap.Text = DataBinder.Eval(e.Row.DataItem, "cevap").ToString(); ;
                }

            }

        }

        protected void Page_UnLoad(object sender, EventArgs e)
        {
            baglanti.Close();
            baglanti = null;
        }
    }
}